from _TutorialBase import *

class SitePage(TutorialBase):

    simulate_modification = False
    css_links = ['tutorial.css']

    def write_body_parts(self):

        self.writeln('<table width="100%" cellpadding="0" cellspacing="0">')
        if self.simulate_modification:
            self.writeln('<tr><td colspan="2" align="center" class="banner">')
            self.write_banner()
            self.writeln('</td></tr>')
        self.writeln('<tr valign="top"><td class="sidebar" width="20%">')
        self.write_sidebar()
        self.writeln('</td><td class="content">')
        self.write_content()
        self.writeln('</td></tr></table>')

    def write_sidebar(self):
        sidebar = DIV('Tutorials')

        links = DIV(style='margin-left:.2in')
        for i, tutorial in enumerate(self.tutorials):
            if i+1 == self.index:
                links.append(tutorial, BR())
            else:
                links.append(A(tutorial, href=tutorial), BR())
        sidebar.append(links)
        
        self.writeln(sidebar)


    def write_banner(self):

        self.writeln('Mod_python Servlets Tutorial')

